/*
 * Copyright (C) 2001 Simon Ekstrand <simon@routemeister.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef SUB_O_H
#define SUB_O_H

/*
 * prototypes
 */
void show_split_networks(struct if_info *ifi, u_int32_t splitmask);
int show_networks(struct if_info *ifi, int count);
void print_cf_info(struct if_info *ifi);
void print_cf_bitmap(struct if_info *ifi);
void print_cidr_info(struct if_info *ifi);
void print_cidr_bitmap(struct if_info *ifi);
void print_short_help();
void print_help();
void print_version();

void free_if(struct if_info *ifa);
struct if_info *get_if_ext();

#endif /* SUB_O_H */

